## lxqt-powermanagement 1.3.0

=== debian/changelog ===
lxqt-powermanagement (1.3.0-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Jul 2023 15:39:43 -0700

lxqt-powermanagement (1.3.0-0.1~S7) unstable; urgency=medium

  * New upstream release.

 -- S.7 <severusseptimius7@gmail.com>  Sun, 21 May 2023 13:06:38 -0400

=== debian/control ===
Source: lxqt-powermanagement
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5idletime-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt-globalkeys-ui1-dev (>= 1.3.0~),
               liblxqt-globalkeys1-dev (>= 1.3.0~),
               liblxqt1-dev (>= 1.3.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-powermanagement
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-powermanagement.git
Homepage: https://github.com/lxqt/lxqt-powermanagement
Rules-Requires-Root: no

Package: lxqt-powermanagement
Architecture: any
Depends: lxqt-policykit, upower, ${misc:Depends}, ${shlibs:Depends},
         lxqt-powermanagement-l10n, lxqt-qtplugin, lxqt-session
Description: power management module for LXQt
 The Power management module for LXQt.
 .
 This package contain power management module for LXQt.

Package: lxqt-powermanagement-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-powermanagement
 This package contains the l10n files needed by the lxqt-powermangement.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## lxqt-powermanagement 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-powermanagement)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(LXQTBT_MINIMUM_VERSION "0.13.0")
set(KF5_MINIMUM_VERSION "5.101.0")
set(LXQT_MINIMUM_VERSION "1.4.0")
set(QT_MINIMUM_VERSION "5.15.0")

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Svg ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
find_package(KF5IdleTime ${KF5_MINIMUM_VERSION} REQUIRED)
find_package(KF5Solid ${KF5_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)
find_package(XCB REQUIRED COMPONENTS xcb-dpms xcb-screensaver)

message(STATUS "Building with Qt${Qt5Core_VERSION}")

# Patch Version
set(LXQT_POWERMANAGEMENT_PATCH_VERSION 0)

set(LXQT_POWERMANAGEMENT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_POWERMANAGEMENT_PATCH_VERSION})
add_definitions(
    "-DLXQT_POWERMANAGEMENT_VERSION=\"${LXQT_POWERMANAGEMENT_VERSION}\""
)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Translations **********************************
include(LXQtTranslate)

add_subdirectory(config)
add_subdirectory(src)
add_subdirectory(autostart)

=== src/CMakeLists.txt ===
project(lxqt-powermanagement)

set(QTX_LIBRARIES Qt5::Widgets Qt5::DBus Qt5::Svg)

set(SOURCES
    watcher.cpp
    batteryhelper.cpp
    batteryinfoframe.cpp
    batteryinfodialog.cpp
    batterywatcher.cpp
    idlenesswatcher.cpp
    lid.cpp
    lidwatcher.cpp
    main.cpp
    powermanagementd.cpp
    trayicon.cpp
    iconproducer.cpp
    powerbutton.cpp
    ../config/powermanagementsettings.cpp
)

set(UI_FILES
    batteryinfoframe.ui
    batteryinfodialog.ui
)

set(DESKTOP_FILES_IN
    lxqt-powermanagement.desktop.in
)

lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${SOURCES}
        ${UI_FILES}
    INSTALL_DIR
        ${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}
)

lxqt_app_translation_loader(lxqt-powermanagement_QM_LOADER ${PROJECT_NAME})

include_directories(
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
)

add_executable(lxqt-powermanagement
    ${SOURCES}
    ${RSCS}
    ${QM_FILES}
    ${lxqt-powermanagement_QM_LOADER}
    ${DESKTOP_FILES}
)

target_link_libraries(lxqt-powermanagement
    lxqt
    ${QTX_LIBRARIES}
    KF5::Solid
    KF5::IdleTime
    lxqt-globalkeys
    Qt5::X11Extras
    ${XCB_LIBRARIES}
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== debian/changelog ===
lxqt-powermanagement (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078300)
  * debian/copyright: added myself.
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.

 -- Macy Lin <macy@debconf.org>  Sat, 07 Sep 2024 21:50:41 +0800

lxqt-powermanagement (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).
  * debian/control: build-deps on liblxqt-globalkeys1-dev (>= 1.4.0~).
  * debian/control: build-deps on liblxqt-globalkeys-ui1-dev (>= 1.4.0~).
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/control: build-deps on libxcb-dpms0-dev.
  * debian/control: build-deps on libxcb-screensaver0-dev.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 12 Dec 2023 11:59:07 +0100

lxqt-powermanagement (1.3.0-1) unstable; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 1.3.0
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/control: build-deps on liblxqt-globalkeys1-dev (>= 1.3.0~).
  * debian/control: build-deps on liblxqt-globalkeys-ui1-dev (>= 1.3.0~).
  * debian/control: clean up build-deps.

  [ ChangZhuo Chen (陳昌倬) ]
  * Suppress blhc error.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 02 Aug 2023 09:03:53 +0800

=== debian/control ===
Source: lxqt-powermanagement
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5idletime-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.4.0~),
               liblxqt-globalkeys1-dev (>= 1.4.0~),
               liblxqt-globalkeys-ui1-dev (>= 1.4.0~),
               libqt5x11extras5-dev,
               libxcb-dpms0-dev,
               libxcb-screensaver0-dev,
               qtbase5-private-dev,
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-powermanagement
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-powermanagement.git
Homepage: https://github.com/lxqt/lxqt-powermanagement
Rules-Requires-Root: no

Package: lxqt-powermanagement
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxqt-policykit,
         upower
Recommends: lxqt-powermanagement-l10n,
            lxqt-qtplugin,
            lxqt-session
Description: power management module for LXQt
 The Power management module for LXQt.
 .
 This package contain power management module for LXQt.

Package: lxqt-powermanagement-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for lxqt-powermanagement
 This package contains the l10n files needed by the lxqt-powermangement.

## lxqt-powermanagement 2.0.0

=== debian/changelog ===
lxqt-powermanagement (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Fix DPMS-related patch.
  * Update copyright file.
  * Adjusted build dependencies.
  * Fix battery notification patch.
  * Bump Standards-Version to 4.7.0, no changes necessary.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:29:08 -0500

lxqt-powermanagement (1.4.0-0ubuntu2) noble; urgency=medium

  * Patched out DPMS-related code (it was causing constant crashes)
  * Renamed the "Repository-Browser" field to "Repository-Browse" in upstream
    metadata.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Tue, 14 Nov 2023 19:00:33 -0600

lxqt-powermanagement (1.4.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Show a notification when the battery is present, not absent.
  * Wraaaaaaaaaaaaaaaaaaaaap.
  * Add some missing build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 13 Nov 2023 11:48:51 -0600

lxqt-powermanagement (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Remove redundant hardening rule.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * I guess we don't require root to build, do we?
  * Update copyright years.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 12:50:06 -0500

lxqt-powermanagement (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Bump build dependencies in debian/control.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Add some missing brackets in the Lintian overrides.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 21:55:31 -0600

lxqt-powermanagement (1.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bumped build dependencies.
  * Drop old Breaks/Replaces since we're past the LTS. Update the
    runtime dependencies too.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 02 Jun 2022 12:43:41 -0500

=== debian/control ===
Source: lxqt-powermanagement
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6idletime-dev,
               libkf6solid-dev,
               libkf6windowsystem-dev,
               liblxqt-globalkeys-ui2-dev (>= 2.0.0),
               liblxqt-globalkeys2-dev (>= 2.0.0),
               liblxqt2-dev (>= 2.0.0),
               libx11-dev,
               libxcb-dpms0-dev,
               libxcb-screensaver0-dev,
               qt6-base-private-dev,
               qt6-svg-dev
Standards-Version: 4.7.0
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-powermanagement-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-powermanagement-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-powermanagement
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-powermanagement.git
Rules-Requires-Root: no
Homepage: https://github.com/lxqt/lxqt-powermanagement

Package: lxqt-powermanagement
Architecture: any
Depends: lxqt-policykit, upower, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-powermanagement-l10n, lxqt-qtplugin, lxqt-session
Description: power management module for LXQt
 The Power management module for LXQt.
 .
 This package contain power management module for LXQt.

Package: lxqt-powermanagement-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-powermanagement
 The l10n files for lxqt-powermanagement
 .
 This package contains the l10n files needed by lxqt-powermanagement.

## lxqt-powermanagement 2.1.0

=== debian/changelog ===
lxqt-powermanagement (2.1.0-2) unstable; urgency=medium

  * Clean up of group membership after 2nd calls.
  * debian/control: bump to Standards-version to 4.7.2, no changes needed.
  * debian/gbp.conf: let debhelper to handle compress format.
  * suspend-by-default.patch: backport from upstream. (Closes: #1091746)
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 30 Mar 2025 10:16:08 +0200

lxqt-powermanagement (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0.
  * build-deps on liblxqt-dev (>= 2.1.0~).
  * build-deps on liblxqt-globalkeys-dev (>= 2.1.0~).
  * build-deps on liblxqt-globalkeys-ui-dev (>= 2.1.0~).

 -- Macy Lin <macy@debconf.org>  Wed, 04 Dec 2024 20:52:02 +0100

lxqt-powermanagement (2.0.0-1) unstable; urgency=medium

  * Migrate to unstable.
  * Run wrap-and-sort.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 21:30:35 +0100

lxqt-powermanagement (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.0.0
  * debian/control: bump dep qttranslations5-l10n -> qt6-translations-l10n
  * debian/control: bump dep on qtbase5-private-dev -> qt6-base-dev
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: bump dep on libkf5solid-dev -> libkf6solid-dev
  * debian/control: bump dep on libkf5idletime-dev -> libkf6idletime-dev
  * debian/control: bump dep on liblxqt1-dev -> liblxqt-dev
  * debian/control: bump dep on liblxqt-globalkeys1-dev -> liblxqt-
    globalkeys-dev (>= 2.0.0~)
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev
  * debian/control: bump dep on liblxqt-globalkeys-ui1-dev -> liblxqt-
    globalkeys-ui-dev (>= 2.0.0~)

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 21 Sep 2024 14:03:52 +0200

=== debian/control ===
Source: lxqt-powermanagement
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6idletime-dev,
               libkf6solid-dev,
               libkf6windowsystem-dev,
               liblxqt-dev (>= 2.1.0~),
               liblxqt-globalkeys-dev (>= 2.1.0~),
               liblxqt-globalkeys-ui-dev (>= 2.1.0~),
               libxcb-dpms0-dev,
               libxcb-screensaver0-dev,
               qt6-base-private-dev,
               qt6-tools-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-powermanagement
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-powermanagement.git
Homepage: https://github.com/lxqt/lxqt-powermanagement
Rules-Requires-Root: no

Package: lxqt-powermanagement
Architecture: any
Depends: lxqt-policykit, upower, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-powermanagement-l10n, lxqt-qtplugin, lxqt-session
Description: power management module for LXQt
 The Power management module for LXQt.
 .
 This package contain power management module for LXQt.

Package: lxqt-powermanagement-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qt6-translations-l10n, ${misc:Depends}
Description: Language package for lxqt-powermanagement
 This package contains the l10n files needed by the lxqt-powermangement.

## lxqt-powermanagement 2.2.1

=== autostart/CMakeLists.txt ===
file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
    USE_YAML
)
add_custom_target(lxqt_powermanagement_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(lxqt-powermanagement)
 
-set(QTX_LIBRARIES Qt5::Widgets Qt5::DBus Qt5::Svg)
+set(QTX_LIBRARIES Qt6::Widgets Qt6::DBus Qt6::Svg)
 
 set(SOURCES
     watcher.cpp
@@ -17,6 +17,8 @@
     iconproducer.cpp
     powerbutton.cpp
     ../config/powermanagementsettings.cpp
+    PowerProfiles.cpp
+    DBusPropAsyncGetter.cpp
 )
 
 set(UI_FILES
@@ -40,7 +42,7 @@
 lxqt_app_translation_loader(lxqt-powermanagement_QM_LOADER ${PROJECT_NAME})
 
 include_directories(
-    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
+    ${Qt6Gui_PRIVATE_INCLUDE_DIRS}
 )
 
 add_executable(lxqt-powermanagement
@@ -54,10 +56,9 @@
 target_link_libraries(lxqt-powermanagement
     lxqt
     ${QTX_LIBRARIES}
-    KF5::Solid
-    KF5::IdleTime
+    KF6::Solid
+    KF6::IdleTime
     lxqt-globalkeys
-    Qt5::X11Extras
     ${XCB_LIBRARIES}
 )

=== config/translations/CMakeLists.txt ===
project(lxqt-config-powermanagement)

build_component("." "")

=== src/translations/CMakeLists.txt ===
project(lxqt-powermanagement)

build_component("." "")

=== debian/changelog ===
lxqt-powermanagement (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1 (Closes: #1097338)
  * d/control: Update Build-Depends.
  * d/patches: Remove unnecessary upstream cherry-pick.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 14 Aug 2025 20:36:00 +0800

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
                libkf6idletime-dev,
                libkf6solid-dev,
                libkf6windowsystem-dev,
-               liblxqt-dev (>= 2.1.0~),
-               liblxqt-globalkeys-dev (>= 2.1.0~),
-               liblxqt-globalkeys-ui-dev (>= 2.1.0~),
+               liblxqt-dev (>= 2.2.0~),
+               liblxqt-globalkeys-dev (>= 2.2.0~),
+               liblxqt-globalkeys-ui-dev (>= 2.2.0~),
                libxcb-dpms0-dev,
                libxcb-screensaver0-dev,
+               lxqt-build-tools (>= 2.2.1~),
                qt6-base-private-dev,
                qt6-tools-dev
 Standards-Version: 4.7.2

## lxqt-powermanagement 2.3.0

=== debian/changelog ===
lxqt-powermanagement (2.3.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5

  [ Macy Lin ]
  * Team upload.
  * New upstream version 2.3.0
  * debian/copyright: update.
  * debian/control: build-deps on liblxqt-dev (>= 2.3.0~).
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/control: build-deps on liblxqt-globalkeys-dev (>= 2.3.0~).
  * debian/control: build-deps on liblxqt-globalkeys-ui-dev (>= 2.3.0~).

 -- Macy Lin <macy@debconf.org>  Mon, 24 Nov 2025 16:18:02 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                libkf6idletime-dev,
                libkf6solid-dev,
                libkf6windowsystem-dev,
-               liblxqt-dev (>= 2.2.0~),
-               liblxqt-globalkeys-dev (>= 2.2.0~),
-               liblxqt-globalkeys-ui-dev (>= 2.2.0~),
+               liblxqt-dev (>= 2.3.0~),
+               liblxqt-globalkeys-dev (>= 2.3.0~),
+               liblxqt-globalkeys-ui-dev (>= 2.3.0~),
                libxcb-dpms0-dev,
                libxcb-screensaver0-dev,
-               lxqt-build-tools (>= 2.2.1~),
+               lxqt-build-tools (>= 2.3.0~),
                qt6-base-private-dev,
                qt6-tools-dev
 Standards-Version: 4.7.2
